-- Author: Philip Herder
-- Date: 19.09.2015
-- v: pre-Release
--
--Changelog
--19.09.2015	PH	init release
--20.09.2015	PH	(reduced frequency of function calls) failed
--20.09.2015	PH	added IsResting-indicator
--20.09.2015	PH	wont load if lv. 100
--20.09.2015	PH	wont crash if there is no rested EXP
function createFrame()
if (UnitLevel("player") < 100) then
	-- Create Frame
	myFrame = CreateFrame("Frame", "EXPTrackerFrame", UIParent, "TooltipBorderedFrameTemplate")
	myFrame:SetSize(135,75)
	myFrame:SetPoint("CENTER", UIParent, "CENTER")
	-- Drag&Drop
	myFrame:SetMovable(true)
	myFrame:EnableMouse(true)
	myFrame:RegisterForDrag("LeftButton")
	myFrame:SetScript("OnDragStart", myFrame.StartMoving)
	myFrame:SetScript("OnDragStop", myFrame.StopMovingOrSizing)
	-- Create Title
	myFrame.title = myFrame:CreateFontString(nil, "Overlyay")
	myFrame.title:SetPoint("LEFT", myFrame,"LEFT",10,22)
	myFrame.title:SetFontObject("SystemFont_Shadow_Med3")
	myFrame.title:SetText("EXPTracker")
	-- Create Lv
	myFrame.level = myFrame:CreateFontString(nil, "Overlyay")
	myFrame.level:SetPoint("LEFT", myFrame,"LEFT",10,7)
	myFrame.level:SetFontObject("GameFontHighlight")
	myFrame.level:SetText("Lv.")
	-- Create ExpToGo
	myFrame.ExpToGo = myFrame:CreateFontString(nil, "Overlyay")
	myFrame.ExpToGo:SetPoint("LEFT", myFrame,"LEFT",10,-8)
	myFrame.ExpToGo:SetFontObject("GameFontHighlight")
	myFrame.ExpToGo:SetText("ExpToGo")
	-- Create PercToGo
	myFrame.PercToGo = myFrame:CreateFontString(nil, "Overlyay")
	myFrame.PercToGo:SetPoint("LEFT", myFrame,"LEFT",60,7)
	myFrame.PercToGo:SetFontObject("GameFontHighlight")
	myFrame.PercToGo:SetText("PercToGo")
	-- Create Rest
	myFrame.Rest = myFrame:CreateFontString(nil, "Overlyay")
	myFrame.Rest:SetPoint("LEFT", myFrame,"LEFT",10,-23)
	myFrame.Rest:SetFontObject("GameFontHighlight")
	myFrame.Rest:SetText("Rest")
	print("EXPTracker was load. This addon is currently in testing phase. Please report any problems.")
end
end

function dotValue(amount)
  local formatted = amount
  while true do  
    formatted, k = string.gsub(formatted, "^(-?%d+)(%d%d%d)", '%1.%2')
    if (k==0) then
      break
    end
  end
  return formatted
end

function showIfResting()
if (IsResting("player") or FALSE) then
	return "+"
	
end
return ""
end

function showRestAmount()
if (GetXPExhaustion("player") or FALSE) then
return math.ceil(100*(GetXPExhaustion("player")/UnitXPMax("player")))
end
return "0"
end

function updateFrame()
if (UnitLevel("player") < 100) then
	myFrame.level:SetText( "Lv. " .. UnitLevel("player"))
	myFrame.ExpToGo:SetText( "ToGo: " ..	dotValue(UnitXPMax("player")-UnitXP("player")).. "EXP")
	myFrame.PercToGo:SetText(math.floor(100*(UnitXP("player")/UnitXPMax("player"))) .. "%")
	myFrame.Rest:SetText( "Rest: " .. showRestAmount() .. "%" .. showIfResting())
end
end